Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4818 closed defect (fixed)

Incomplete Statement in “cpu->heir”

Reported by: Daniel Páscoa Owned by: Sebastian Huber <sebastian.huber@…>
Priority: normal Milestone: 6.1
Component: score Version: 6
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

Description:
The assignment statement "cpu->heir = " is incomplete and missing a value and semicolon at the end. It is recommended to revise this statement to ensure the code is not broken by the missing semicolon.

The attached excel lists in a systematic way the sources where this issue applies.

Additional Notes:
This ticket was raised as an outcome of the Independent SW Verification and Validation (ISVV) for ESA-promoted RTEMS SMP Qualification Data Packs (https://rtems-qual.io.esa.int). Original ISVV reference for this issue is RTEMS-SMP-CODE-VER-058.

File list (please check the attached excel for more information):
cpukit\score\src\threadcreateidle.c

Attachments (1)

RTEMS-SMP-CODE-VER-058.xlsx (9.6 KB) - added by Daniel Páscoa on 01/23/23 at 11:42:43.

Download all attachments as: .zip

Change History (4)

Changed on 01/23/23 at 11:42:43 by Daniel Páscoa

Attachment: RTEMS-SMP-CODE-VER-058.xlsx added

comment:1 Changed on 01/23/23 at 13:06:26 by Sebastian Huber

Keywords: qualification added

comment:2 Changed on 01/24/23 at 10:26:25 by Sebastian Huber <sebastian.huber@…>

Owner: set to Sebastian Huber <sebastian.huber@…>
Resolution: fixed
Status: newclosed

In [changeset:"9ecb73f368fa21bd943afb30809e8fe2b5dca2b3/rtems" 9ecb73f/rtems]:

score: Clarify code block

Do not use a chained assignment for code clarity.

Close #4818.

comment:3 Changed on 01/24/23 at 10:28:10 by Sebastian Huber

Component: adminscore
Milestone: 6.1
Version: 6
Note: See TracTickets for help on using tickets.